Notices


Reply
Thread Tools
pichlo's Avatar
Posts: 4,964 | Thanked: 14,880 times | Joined on Sep 2012 @ UK
#141
Originally Posted by biketool View Post
Being a grownup is boring or I was just missing out on fun SMSs until my wife noticed them on her Lineage Oneplus and tried to send me a few as a test.
You are clearly not old enough. Not only have I never missed emojis, I cannot even think of anyone from my social circle who would want to send me one
__________________
In particle accelerators atoms are indeed not only touching each others. But banging together in a massive explosive orgasm.
-- nieldk in a TMO post
 

The Following 2 Users Say Thank You to pichlo For This Useful Post:
nthn's Avatar
Posts: 543 | Thanked: 1,887 times | Joined on Jun 2014
#142
Originally Posted by pichlo View Post
You are clearly not old enough. Not only have I never missed emojis, I cannot even think of anyone from my social circle who would want to send me one
I've noticed modern phones and even desktop applications have started automatically converting regular emoticons like :​) to emoji equivalents. I don't understand what the emoji has to offer considering it takes away the imagination of what the colon and the parenthesis could stand for. I fear they'll be forced on everyone whether we like it or not. Thanks, Unicode Consortium!
 

The Following 2 Users Say Thank You to nthn For This Useful Post:
Posts: 57 | Thanked: 69 times | Joined on Oct 2012
#143
Originally Posted by pichlo View Post
You are clearly not old enough. Not only have I never missed emojis, I cannot even think of anyone from my social circle who would want to send me one
well i missed quite a lot of beer offers... didn't even get them
 

The Following User Says Thank You to shubell For This Useful Post:
pichlo's Avatar
Posts: 4,964 | Thanked: 14,880 times | Joined on Sep 2012 @ UK
#144
Originally Posted by nthn View Post
I've noticed modern phones and even desktop applications have started automatically converting regular emoticons like :​) to emoji equivalents. I don't understand what the emoji has to offer considering it takes away the imagination of what the colon and the parenthesis could stand for. I fear they'll be forced on everyone whether we like it or not. Thanks, Unicode Consortium!
It's even worse than that. You cannot even write a meaningful sentence with punctuation (let alone post source code snippets) without having to think about how the receiving end might convert it to unintended emojis.
__________________
In particle accelerators atoms are indeed not only touching each others. But banging together in a massive explosive orgasm.
-- nieldk in a TMO post
 

The Following User Says Thank You to pichlo For This Useful Post:
Posts: 6 | Thanked: 4 times | Joined on Nov 2017
#145
Ok, I have been trying to understand how to patch my N9. Lots of conflicting information, dead links etc.

1. First step was the aegis install hack. The link to the .deb is dead. Has it been superseeded by aegis-install from http://talk.maemo.org/showthread.php...66#post1356766 ?

2. If so, the package does not provide aegis-dpkg. How can I install the modified .deb? I get the following console output:

Aegis rejecting libsms-utils0_0.5.17.3+0m7_armel-mod.deb: package 'libsms-utils0' already installed from 'com.nokia.maemo' -- not replacing it from unknown origin
aegis aborting dpkg -- all listed package files rejected
Compilation failed in require.

3. The web page from the first post in this thread no longer exists. The github page does, but the shell script mentioned and used in this thread, the .mht packed backup of the site and elsewhere is not there. Do I need the sdk and cross-compile that code or what?

4. I can just pull the .so from the .deb file and put it in my /usr/lib/ directory, but I have the feeling that this might break the system. Thoughts?
 

The Following User Says Thank You to kjdsgfkjsad For This Useful Post:
Posts: 595 | Thanked: 564 times | Joined on Mar 2012 @ Ohio
#146
Originally Posted by kjdsgfkjsad View Post
2. If so, the package does not provide aegis-dpkg. How can I install the modified .deb?
It has been a LONG time since I used my N9 as my main phone, but (if I remember correctly...) after I installed the aegis-hack, I had a new system installer for all debs. At the bottom of the installer screen before installation of any debs, there was a box to check for installation with aegis-dpkg.
 

The Following User Says Thank You to imaginaryenemy For This Useful Post:
Posts: 396 | Thanked: 713 times | Joined on Aug 2014
#147
As new to forum, have you just started using this N9 or returning after a break from it?

This Wiki is quite helpful:
https://wiki.maemo.org/Resurrect_your_N9

Find it a lot easier to SSH into device rather than fiddling with FingerTerm or Terminal, as you can copy/paste appropriate code.

Last edited by aspergerguy; 2017-11-09 at 20:15. Reason: Amendment
 

The Following User Says Thank You to aspergerguy For This Useful Post:
Posts: 6 | Thanked: 4 times | Joined on Nov 2017
#148
Thanks for your replies! I switched to the N9 from an Android 4 phone and never looked back. Just so much easier to use (for me) with a proper terminal, ssh-ing into it etc.

Ok, seems my problem is mainly that I do not know how to obtain the aegis_hack. There is the installer for the coderus trusted repo, which offers no options and just silently completes. Then everything else happens on the command line. I installed aegis-install, (also aegisctl and debinstall for shits and giggles), but no new system installer presents itself, nor does an aegis-dpkg binary end up in my PATH.
 

The Following User Says Thank You to kjdsgfkjsad For This Useful Post:
Posts: 396 | Thanked: 713 times | Joined on Aug 2014
#149
 

The Following User Says Thank You to aspergerguy For This Useful Post:
Posts: 6 | Thanked: 4 times | Joined on Nov 2017
#150
Ok, I installed debinstall, but all it does is to add the dpkg option to the UI - I was working from the terminal anyway, so no banana

dpkg -i libsms-utils0_0.5.17.3+0m7_armel-mod.deb still fails with the same output:

Aegis rejecting libsms-utils0_0.5.17.3+0m7_armel-mod.deb: package 'libsms-utils0' already installed from 'com.nokia.maemo' -- not replacing it from unknown origin
aegis aborting dpkg -- all listed package files rejected
Compilation failed in require.

It does not want to replace the already installed version. My guess is that this was what aegis-hack is for.

Edit: As coderus re-uploaded the aegis hack, I finally able to get the fixed libsms in place. Now waiting for someone to send me a bloody emoji...

Thanks guys!

So the process is now:
1. Download the aegis hack from http://talk.maemo.org/showthread.php?t=90750 and install it using dpkg -i
2. Download the original and fixed libsms from https://talk.maemo.org/showthread.php?t=94027&page=14
3. Install the fixed libsms via aegis-dpkg -i

Last edited by kjdsgfkjsad; 2017-11-11 at 06:31. Reason: hack_installer is back
 

The Following 2 Users Say Thank You to kjdsgfkjsad For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 06:38.